import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';
import { RadioButtonSOP } from '../../libappsop/radiobuttonsop';

export interface DialogForecastAdjustQuantityFields {
  AdjustMode?: string;
  Value?: string;
}

export class DialogForecastAdjustQuantity extends DialogSOP<DialogForecastAdjustQuantityFields> {
  public static readonly title = 'Adjust Quantity';
  public readonly rbgAdjustMode = new RadioButtonSOP('RadioButtonGroupAction');
  public readonly efValue = new EditFieldSOP('EditFieldValue');

  public constructor() {
    super('DialogAdjustSalesDemandQuantity');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('AdjustMode', this.rbgAdjustMode);
    this._uiMap.set('Value', this.efValue);
  }
}
